店舗分類登録
POST
/store_classes
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"storeClassName":"string","displaySequence":"123456789"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/store_classes \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "storeClassName": "string", "displaySequence": "123456789" }'店舗分類情報を登録します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
storeClassName
required
分類ラベル
string
displaySequence
表示順
string format: int
Example
{ "storeClassName": "string", "displaySequence": "123456789"}Responses
Section titled “Responses”更新成功
Media typeapplication/json
object
storeClassId
店舗分類ID:
string
storeClassName
分類ラベル:
string
displaySequence
表示順:
string
insDateTime
作成日時:登録時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
updDateTime
更新日時:登録時・更新時の日時。[YYYY-MM-DDThh:mm:ssTZD]
string
Example
{ "storeClassId": "string", "storeClassName": "string", "displaySequence": "string", "insDateTime": "string", "updDateTime": "string"}- 入力チェックエラーの場合
- 店舗分類数が5つを超える場合。
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Example
{ "type": "string", "title": "string", "detail": "string", "status": 400}